#!/bin/bash
#
# WARNING! Don't execute this file directly, please launch the installer by install.sh
# (C) 2015 T.BAAR PRG INSTALLERS
# Website: http://t-baar.com

# Verifying token
if [ -f "lib/.token" ]; then
        echo 'Installation de Sky3DS Utility...'
else 
        echo "Merci de passer par le fichier install.sh..." 1>&2
        echo ""
        echo "Appuyez sur Entrée pour quitter l'installation" 
        read a
        exit 1
fi
sleep 2
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Version 1.0"
echo ''
echo "Bienvenue dans le programme d'installation de Sky3DS"
echo "Ce programme est sous licence GNU GPL v3, à l'exception"
echo "du nom T.BAAR ainsi de son logo, propriétés de Thibault Baldetti"
echo ""
echo "Appuyez sur Entrée pour démarrer l'installation..."
echo "Pour annuler l'installation, faites Ctrl+C"
read a
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Extraction du package Sky3DS"
echo '╔═══════════════════════════════════════════════╗'
echo '║█______________________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
tar xzf bundle.prg
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copie des fichiers en cours..."
echo '╔═══════════════════════════════════════════════╗'
echo '║█████__________________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
mv bundle /opt/sky3ds
sleep 2.5
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copie des fichiers en cours..."
echo '╔═══════════════════════════════════════════════╗'
echo '║█████████████__________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
ln /opt/sky3ds/bin/sky3ds /usr/bin/sky3ds
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copie des fichiers en cours..."
echo '╔═══════════════════════════════════════════════╗'
echo '║████████████████_______________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
ln /opt/sky3ds/bin/sky3ds-ui /usr/bin/sky3ds-ui
sleep 0.8
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Création du raccourci (Menu Jeux)"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████_________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
mv /opt/sky3ds/sky3ds.desktop /usr/share/applications/sky3ds.desktop
sleep 1.2
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Correction des permissions système"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████████████████_____________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
chown -R root:root /opt/sky3ds
chmod -R 755 /opt/sky3ds
chown root:root /usr/bin/sky3ds
chown root:root /usr/bin/sky3ds-ui
chown root:root /usr/share/applications/sky3ds.desktop
sleep 0.5
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Correction des permissions système"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████████████████████_________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
chmod 755 /usr/bin/sky3ds
chmod 755 /usr/bin/sky3ds-ui
chmod 755 /usr/share/applications/sky3ds.desktop
sleep 0.6
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Validation de l'installation"
echo '╔═══════════════════════════════════════════════╗'
echo '║████████████████████████████████████████████___║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
chmod +x /usr/bin/sky3ds
chmod +x /usr/bin/sky3ds-ui
chmod +x /usr/share/applications/sky3ds.desktop
touch lib/.token_bis
sleep 1.3
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Nettoyage..."
echo '╔═══════════════════════════════════════════════╗'
echo '║███████████████████████████████████████████████║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Veuillez patienter..."
cp lib/uninstall.sh /usr/bin/sky3ds-uninstaller
chown root:root /usr/bin/sky3ds-uninstaller
chmod 755 /usr/bin/sky3ds-uninstaller
chmod +x /usr/bin/sky3ds-uninstaller
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'Version Française pour GNU/Linux - http://t-baar.com' 
echo ''
echo "L'installation de Sky3DS Utility est à présent terminée"
echo "L'application devrait se trouver dans la section Jeux du menu"
echo "L'application se lance aussi avec la commande sky3ds-ui"
echo "Pour désinstaller, lancez la commande sky3ds-uninstaller en root"
echo ''
echo "Appuyez sur Entrée pour fermer l'installeur"
read a
